Skip to main content
GET
/
v2
/
returns
/
{returnId}
/
packages
Query Return Packages
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/packages \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "returnId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "trackingID": "<string>",
    "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "shippingMethodCustom": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

returnId
string<uuid>
required

The id of the return that the packages belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested packages.

id
string<uuid>

Unique ID to identify a return package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnId
string<uuid>

Unique ID to identify a return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

trackingID
string

The tracking Id of the package.

shippingMethodId
string<uuid>

The shipping method.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippingMethodCustom
string

The custom shipping method name used for the return. This value may only be set if ShippingMethodId is not provided.